config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/login.access.new
config etc/login.defs.new
config var/log/faillog.new
rm -f var/log/faillog.new

( cd usr/bin ; rm -rf faillog )
( cd usr/bin ; ln -sf ../sbin/faillog faillog )
( cd usr/bin ; rm -rf sg )
( cd usr/bin ; ln -sf newgrp sg )
( cd usr/bin ; rm -rf lastlog )
( cd usr/bin ; ln -sf ../sbin/lastlog lastlog )
( cd usr/sbin ; rm -rf vigr )
( cd usr/sbin ; ln -sf vipw vigr )
( cd bin ; rm -rf sulogin )
( cd bin ; ln -sf ../sbin/sulogin sulogin )
